Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

Java JRE deploytk.dll ActiveX Control Multiple BOF Vulnerabilities

Information

Severity

Severity

Critical

Family

Family

Buffer overflow

CVSSv2 Base

CVSSv2 Base

9.3

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:M/Au:N/C:C/I:C/A:C

Solution Type

Solution Type

Vendor Patch

Created

Created

13 years ago

Modified

Modified

3 years ago

Summary

This host is installed with Java JRE Deployment Toolkit ActiveX and is prone to multiple buffer overflow vulnerabilities.

Insight

Insight

Multiple buffer overflows are due to, - error in deploytk.dll file control while processing the setInstallerType, setAdditionalPackages, compareVersion, getStaticCLSID and launch method. - error in installLatestJRE or installJRE method in deploytk.dll control and it can allow attacker to launch JRE installation processes. - error in launch method can cause script code execution via a .jnlp URL.

Affected Software

Affected Software

Sun Java JRE version 6 Update 1 to 6 Update 13 and prior Sun Microsystems, deploytk.dll version 6.0.130.3 and prior

Solution

Solution

Upgrade to Sun Java JRE version 6 Update 20 or later. Workaround: Set the killbit for the CLSID {CAFEEFAC-DEC7-0000-0000-ABCDEFFEDCBA}

Common Vulnerabilities and Exposures (CVE)